--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: channel user was invited to
  name: channel
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: class to manage IRC INVITEs +address?+ can be used as a shortcut to see if the bot was invited, which should be true except for server bugs
constants: []

full_name: Irc::InviteMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
name: InviteMessage
superclass: BasicUserMessage
